org.eclipse.ui.texteditor

## Class ResourceMarkerAnnotationModelFactory

- java.lang.Object
- - org.eclipse.ui.texteditor.ResourceMarkerAnnotationModelFactory

All Implemented Interfaces:
  IAnnotationModelFactory

    public class ResourceMarkerAnnotationModelFactory
    extends Object
    implements IAnnotationModelFactory

An annotation model factory for resource marker annotation models.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`ResourceMarkerAnnotationModelFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IAnnotationModel` `createAnnotationModel(IPath location)` Creates and returns a new annotation model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceMarkerAnnotationModelFactory

    public ResourceMarkerAnnotationModelFactory()

### Method Detail

#### createAnnotationModel

    public IAnnotationModel createAnnotationModel(IPath location)

Description copied from interface: `IAnnotationModelFactory`
Creates and returns a new annotation model.

Specified by:
  `createAnnotationModel` in interface `IAnnotationModelFactory`
Parameters:
  `location` - the normalized location
Returns:
  a new annotation model